#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios::sync_with_stdio(0);
    cin.tie(0);
    int n, m, x, y, t, l[200000], r[200000];
    cin >> n >> m;
    for (int i=0; i<n; i++)
        cin >> l[i] >> r[i];
    for (int i=0; i<m; i++)
    {
        cin >> x >> y >> t;
        int sum = 0;
        for (int j = x; j<=y; j++)
        {
            if ((t >= l[j-1]) && (t <= r[j-1]))
                sum++;
        }
        cout << sum << "\n";
    }
    return 0;
}